Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 616278 - app-office/libreoffice-5.2.6.2: compile failure: ACCESS VIOLATIONS with USE=java and python 3.5
Summary: app-office/libreoffice-5.2.6.2: compile failure: ACCESS VIOLATIONS with USE=j...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Eclasses (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Office Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-22 10:31 UTC by M. B.
Modified: 2020-11-28 00:00 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (app-office:libreoffice-5.2.6.2:20170422-102332.log,84.99 KB, text/x-log)
2017-04-22 10:31 UTC, M. B.
Details
emerge --info =libreoffice-5.2.6.2 (file_616278.txt,20.37 KB, text/plain)
2017-04-22 10:32 UTC, M. B.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description M. B. 2017-04-22 10:31:22 UTC
Created attachment 470622 [details]
build.log

Occurs when trying to emerge libreoffice-5.2.6.2 with PYTHON_SINGLE_TARGET="python3_5 -python2_7 -python3_4" PYTHON_TARGETS="python2_7 python3_4 python3_5")

build.log can be seen in build.log
Comment 1 M. B. 2017-04-22 10:32:33 UTC
Created attachment 470624 [details]
emerge --info =libreoffice-5.2.6.2
Comment 2 M. B. 2017-04-22 10:33:53 UTC
Possibly affect bug #615474.
Comment 3 Andreas Sturmlechner gentoo-dev 2017-12-05 19:06:34 UTC
Meanwhile we have 5.4.2.2 and 5.4.3.2 in tree, do you still have that issue?
Comment 4 Maciej Mrozowski gentoo-dev 2018-09-28 08:47:14 UTC
I have sandbox violation with libreoffice-6.0.6.2, unrelated to Java or Python:

checking for fc-match... /usr/bin/fc-match
checking font mapping for 'Calibri'...  * ACCESS DENIED:  mkostemp:     /usr/share/fonts/util/.uuid.TMP-XXXXXX
ok
checking font mapping for 'DejaVuSans'...  * ACCESS DENIED:  mkostemp:     /usr/share/fonts/util/.uuid.TMP-XXXXXX

/usr/share/fonts/util/ directory does not have .uuid and fc-match surely as hell tries to create one.
Not sure how this dir ended up without .uuid but runnig fc-match outside of portage creates this uuid and emerge problem goes away.

In this bug case situation is quite similar - Python interpreter surely as hell tries to pythoncompile some own modules that just happen to be used during libreoffice configure phase and for some reason are not pythoncompiled yet.

Now, why does Python interpreter actually thinks it has permissions to create/write any files? Doesn't portage use own portage user that has no affiliation to root? Or it's just expected for all site-packages/* to be pythoncompiled and in reporter's case, due to some perhaps bug in Python post-install phase, it was not the case?
Comment 5 Andreas Sturmlechner gentoo-dev 2018-09-28 10:21:48 UTC
That's unrelated, update fontconfig and it is fixed.
Comment 6 Andreas K. Hüttel gentoo-dev 2020-11-28 00:00:52 UTC
(In reply to Andreas Sturmlechner from comment #3)
> Meanwhile we have 5.4.2.2 and 5.4.3.2 in tree, do you still have that issue?

Seems not.